View Issue Details

IDProjectCategoryView StatusLast Update
0026080mantisbtcustom fieldspublic2019-11-17 08:32
Reporterfcaspar Assigned Toatrol  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionwon't fix 
Product Version2.21.2 
Summary0026080: Configure background and foreground color for custom fields
Description

Background and foreground color for custom fields are currently set by CSS file.

Administrators shall be able to configure background and foreground color for custom fields. The configuration shall be optionally done for each custom field individually.

This shall be an option to improve GUI layout of an issue containing many custom fields.

Goals:
1.
extend db shema by adding columns for foreground/background color in mantis_custom_field_table.
2.
extend custom field configuration for setting colors
3.
extend view bug system for reading colors and applying them as inline style to html output
4.
extend update bug system for reading colors and applying them as inline style to html output

TagsNo tags attached.

Activities

fcaspar

fcaspar

2019-08-25 12:11

reporter   ~0062649

goal 1.

a2ej94.png (38,027 bytes)   
a2ej94.png (38,027 bytes)   
fcaspar

fcaspar

2019-08-25 12:11

reporter   ~0062650

goal 2.

bk2khq.png (29,322 bytes)   
bk2khq.png (29,322 bytes)   
fcaspar

fcaspar

2019-08-25 12:11

reporter   ~0062651

goal 3.

clmkns.png (19,588 bytes)   
clmkns.png (19,588 bytes)   
fcaspar

fcaspar

2019-08-25 12:12

reporter   ~0062652

5.
update language files by new translation for "background color" and "foreground color".

fcaspar

fcaspar

2019-08-25 13:33

reporter   ~0062654

https://github.com/mantisbt/mantisbt/pull/1552

atrol

atrol

2019-11-01 07:57

developer   ~0063045

Won't fix based on discussion on https://github.com/mantisbt/mantisbt/pull/1552

Issue History

Date Modified Username Field Change
2019-08-25 12:10 fcaspar New Issue
2019-08-25 12:11 fcaspar File Added: a2ej94.png
2019-08-25 12:11 fcaspar Note Added: 0062649
2019-08-25 12:11 fcaspar File Added: bk2khq.png
2019-08-25 12:11 fcaspar Note Added: 0062650
2019-08-25 12:11 fcaspar File Added: clmkns.png
2019-08-25 12:11 fcaspar Note Added: 0062651
2019-08-25 12:12 fcaspar Note Added: 0062652
2019-08-25 13:33 fcaspar Note Added: 0062654
2019-11-01 07:57 atrol Assigned To => atrol
2019-11-01 07:57 atrol Status new => resolved
2019-11-01 07:57 atrol Resolution open => won't fix
2019-11-01 07:57 atrol Note Added: 0063045
2019-11-17 08:32 atrol Status resolved => closed